Bug 1237364

Summary: Deja-dup does not appear in gnome-software
Product: [Fedora] Fedora Reporter: S├ębastien Gendre <s.gendre>
Component: deja-dupAssignee: Gwyn Ciesla <gwync>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: desintegr, fedora, gwync, hoboprimate, jitesh.1337, kengert, kevin, mike, roger.k.wells, sten
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: deja-dup-34.2-2.fc24 deja-dup-34.2-2.fc23 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-18 18:35:12 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
0001-Fix-appstream-data.-Fixes-bug-1237364.patch none

Description S├ębastien Gendre 2015-06-30 23:49:36 UTC
Description of problem:
Deja-dup does not appear in gnome-software.

Version-Release number of selected component (if applicable):
34.0.1.fc22

How reproducible:
Search "deja-dup" or "backup" in gnome-software.

Comment 1 Damien Gombault 2016-01-08 08:18:26 UTC
This problem still exists in Fedora 23.

Comment 2 Eduardo Silva 2016-03-31 21:21:36 UTC
Still doesn't appear on Fedora 24 alpha.

Comment 3 Kevin Fenzi 2016-04-23 19:33:12 UTC
This appears to be: https://bugs.launchpad.net/deja-dup/+bug/1400412

(reported years ago).

Comment 4 Kevin Fenzi 2016-04-23 19:35:21 UTC
Created attachment 1150078 [details]
0001-Fix-appstream-data.-Fixes-bug-1237364.patch

Patch to use the deja-dup-preferences desktop in appstream data. 

With this patch it shows up here in gnome-software just fine.

Comment 5 Gwyn Ciesla 2016-06-09 19:33:59 UTC
Thanks, I'll get this out.

Comment 6 Fedora Update System 2016-06-09 19:51:22 UTC
deja-dup-34.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-264d75cf54

Comment 7 Fedora Update System 2016-06-09 19:51:32 UTC
deja-dup-34.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-432e87db2d

Comment 8 Fedora Update System 2016-06-10 18:00:36 UTC
deja-dup-34.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-432e87db2d

Comment 9 Fedora Update System 2016-06-11 03:54:43 UTC
deja-dup-34.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-264d75cf54

Comment 10 Fedora Update System 2016-06-18 18:35:08 UTC
deja-dup-34.2-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-06-19 07:26:15 UTC
deja-dup-34.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Roger Wells 2016-09-13 21:48:03 UTC
My observations re deja-dup gui: 

deja-dup-34.2-2.fc24.x86_64

one has to deselect then reselect the Overview option in order
to be offered the "Backup Now" option.

The details option in the progress dialog will only display two
or three lines, is not resizeable, and does not follow resizing the
entire dialog

The progress dialog does not wait to be dismissed at the end,
causing any messages about problems (like failure to backup a particular
file) to not be seen

Desktop is: gnome-desktop3-3.20.2-1.fc24.x86_64
laptop is Thinkpad X240 (Intel graphics)

Comment 13 Kevin Fenzi 2016-09-13 21:57:11 UTC
This doesn't seem to have anything to do with this old closed bug... 

can you file a new one on your issues? 

Thanks.

Comment 14 Gwyn Ciesla 2016-09-13 22:20:17 UTC
The first issue is covered by https://bugzilla.redhat.com/show_bug.cgi?id=1327719